All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.services.storedprocess
Class ResultHints

    com.sas.services.storedprocess.ResultHints

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

Direct Known Subclasses:
  PermanentPackageResultHints, TransientPackageResultHints, WebDAVPackageDAVServerResultHints, WebDAVPackagePRResultHints, WebDAVPackageURLResultHints

Deprecated.

    public abstract class ResultHints

implements java.io.Serializable, java.lang.Cloneable

This abstract class is the superclass of the various ResultHints subclasses.

Since:
  1.1
See Also:
  Serialized Form

Field Summary
`static int` | `HINT_SUBTYPE_NA` Deprecated.
`static int` | `HINT_SUBTYPE_SET` Deprecated.
`static int` | `HINT_SUBTYPE_WEBDAV_DAVSERVER` Deprecated.
`static int` | `HINT_SUBTYPE_WEBDAV_URL` Deprecated.
`static int` | `HINT_SUBTYPE_WEBDAV_USER_PR` Deprecated.

Method Summary
`protected java.lang.Object` | `clone()` Deprecated. Clones this object.
`java.lang.Object` | `getResultLocation()` Deprecated. Returns the location to which the package is written.
`boolean` | `isLifecycleBound()` Deprecated. Returns the setting which determines if the life cycle of the package is bound to `ExecutionInterface`.
`boolean` | `isNewInstanceCreated()` Deprecated. Returns the setting which determines if the service should create a new instance.
`void` | `setLifecycleBound(boolean lifecycleBound)` Deprecated. Determines whether the life cycle of the package is bound to `ExecutionInterface`.
`void` | `setNewInstanceCreated(boolean createNewInstance)` Deprecated. Determines if the service should create a new instance.

Field Detail

### HINT_SUBTYPE_NA

    public static final int HINT_SUBTYPE_NA

  Deprecated.
  See Also:
    Constant Field Values

### HINT_SUBTYPE_WEBDAV_USER_PR

    public static final int HINT_SUBTYPE_WEBDAV_USER_PR

  Deprecated.
  See Also:
    Constant Field Values

### HINT_SUBTYPE_WEBDAV_DAVSERVER

    public static final int HINT_SUBTYPE_WEBDAV_DAVSERVER

  Deprecated.
  See Also:
    Constant Field Values

### HINT_SUBTYPE_WEBDAV_URL

    public static final int HINT_SUBTYPE_WEBDAV_URL

  Deprecated.
  See Also:
    Constant Field Values

### HINT_SUBTYPE_SET

    public static final int HINT_SUBTYPE_SET

  Deprecated.
  See Also:
    Constant Field Values

Method Detail

### clone

    protected java.lang.Object clone()

  Deprecated.
  Clones this object.

  Overrides:
    `clone` in class `java.lang.Object`

### setLifecycleBound

    public void setLifecycleBound(boolean lifecycleBound)

  Deprecated.
  Determines whether the life cycle of the package is bound to `ExecutionInterface`. If it is, the package is closed when `ExecutionBaseInterface.destroy()` is called.

  Parameters:
    `lifecycleBound` - true - package is closed by ExecutionInteface's destroy(); false - package life controlled by consumer.

### isLifecycleBound

    public boolean isLifecycleBound()

  Deprecated.
  Returns the setting which determines if the life cycle of the package is bound to `ExecutionInterface`. If it is, the package is closed when `ExecutionBaseInterface.destroy()` is called.

  Returns:
    true, if the life cycle of the package is bound to `ExecutionInterface`; false, if is not.

### setNewInstanceCreated

    public void setNewInstanceCreated(boolean createNewInstance)

  Deprecated.
  Determines if the service should create a new instance. If set to true, each execution of the stored process creates a unique instance of the results.

  Parameters:
    `createNewInstance` - true - the service creates a new instance; false - the service does not create a new instance

### isNewInstanceCreated

    public boolean isNewInstanceCreated()

  Deprecated.
  Returns the setting which determines if the service should create a new instance.

  Returns:
    true - the service creates a new instance; false - the service does not create a new instance

### getResultLocation

    public java.lang.Object getResultLocation()

  Deprecated.
  Returns the location to which the package is written. This method should only be called from a ResultHints object that is obtained from `ExecutionInterface.getResultHints()`, as the result location may only be available after execution is complete.

  Not all sub-classes support this method - lack of support of this method by a subclass is explicitly stated in the javadoc for the subclass.

  The value returned by this is not affected by a call to `setLifecycleBound(boolean)` and reflects the location of the package written out by the stored process.

  Returns:
    the location of the results

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.